<?php

require("../conexion.php");
$basedatos=$_GET["basedatos"];


	   $consulta2 = "SELECT * FROM wc_parametros_fe ";
	   $resultado2 = $mysqli->query($consulta2);
	   $datos = $resultado2->fetch_array();
		
	   $ftp_server    = $datos["ftp_server"];
	   $ftp_user_name = $datos["ftp_user_name"];
	   $ftp_user_pass = $datos["ftp_user_pass"];
	   $UriSubirXml   = $datos["UriSubirXml"];
		
		
 /////////////////////   VERIFICA LA CONEXION A INTERNET ///////////////////////

$conexion = @fsockopen("www.softcomcr.com", 80, $errno, $errstr, 30); 
if (!$conexion) { 
//	header('location:acceso_sin_internet.php');
} else { 
    fclose($conexion); 
	
	// direccion del archivo local
	//  $local_file ='../RespaldoBD/Respaldo_SQL/Respaldo-'.$basedatos.'-'.date('d').'.sql.gz';   // >>   
      $local_file ='../RespaldoBD/Respaldo_SQL/Respaldo-'.$basedatos.'.sql.gz';   // >>   

    if (file_exists($local_file)) {  ///// si existe actualizacion 

	// direccion y Nombre del archivo en FTP      
            //$server_file = 'public_html/respaldo_ftp/Respaldo-'.$basedatos.'-'.date('d').'.sql.gz'; 
			$server_file = 'public_html/respaldo_ftp/Respaldo-'.$basedatos.'.sql.gz'; 
            
            // Establecer la conexión
            $conn_id = ftp_connect($ftp_server);
   
            // Loguearse con usuario y contraseña
            $login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
            
     
			// Subimos el fichero			
            if (ftp_put($conn_id, $server_file, $local_file, FTP_BINARY)) {

				//echo "Fichero subido correctamente\n";
	
            } 
                
            ftp_close($conn_id);
			
			
	
    	} 
    } 











